	{ Ce schema donne les regles de traduction en LaTeX (format BibTeX)
	d'une reference bibliographique.

	V. Quint	Janvier 1987	}

TRANSLATION RefBib;

LINELENGTH 78;

CONST
   CsteEndRef = '  }\12';
   CsteEndField = ',\12';
   CsteEndField1 = '",\12';
   CsteEndField1L = '"';

RULES

  RefBib :
	BEGIN
	END;

  Article :
	BEGIN
	create '\12@ARTICLE{' before;
	create CsteEndRef after;
	END;

  Ident :
	BEGIN
	if not last and not empty create CsteEndField after;
	if empty create '\12';
	END;

  Note :
	BEGIN
	if empty remove;
	if not empty create '   NOTE = "' before;
	if not empty and last create CsteEndField1L after;
	if not empty and not last create CsteEndField1 after;
	END;

  Auteurs :
	BEGIN
	create '   AUTHOR = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Auteur :
        if not first create ' and ' before;

  Titre_Article :
	BEGIN
	create '   TITLE = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Titre_Journal :
	BEGIN
	create '   JOURNAL = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Volume :
	BEGIN
	create '   VOLUME = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Num\351ro :
	BEGIN
	create '   NUMBER = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Pages :
	BEGIN
	create '   PAGES = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Mois :
	BEGIN
	create '   MONTH = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Ann\351e :
	BEGIN
	create '   YEAR = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Livre :
	BEGIN
	create '\12@BOOK{' before;
	create CsteEndRef after;
	END;

  Titre_Livre :
	BEGIN
	if within Conf\351rence create '   BOOKTITLE = "' before;
	if not within Conf\351rence create '   TITLE = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Publi\351_par :
	BEGIN
	create '   PUBLISHER = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Adresse :
	BEGIN
	create '   ADDRESS = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Conf\351rence :
	BEGIN
	create '\12@INPROCEEDINGS{' before;
	create CsteEndRef after;
	END;

  Edit\351_par :
	BEGIN
	create '   EDITOR = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Manuel :
	BEGIN
	create '\12@MANUAL{' before;
	create CsteEndRef after;
	END;

  Titre :
	BEGIN
	create '   TITLE = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Organisation :
	BEGIN
	create '   ORGANIZATION = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Rapport :
	BEGIN
	create '\12@TECHREPORT{' before;
	create CsteEndRef after;
	END;

  Institution :
	BEGIN
	create '   INSTITUTION = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

  Th\350se :
	BEGIN
	create '\12@PHDTHESIS{' before;
	create CsteEndRef after;
	END;

  Type_th\350se :
	Remove;

  Universit\351 :
	BEGIN
	create '   SCHOOL = "' before;
	if last create CsteEndField1L after;
	if not last create CsteEndField1 after;
	END;

END
